<?php
  
/*
-------------------------------------
Удаление не установленных компонентов
-------------------------------------
*/  
  
IF (GET('delete')){
  
  $archive = DB::GET_STRING("SELECT * FROM `PANEL_ALPHA_INSTALL` WHERE `ID` = '".INTVAL(GET('delete'))."' AND `ACT` = '0' LIMIT 1");
  
  IF (!ISSET($archive['ID'])){
    
    ERROR('Архив не найден', 'session');
    REDIRECT('?path=system&section=alpha_install');
    
  }
  
  IF (@UNLINK(ROOT.'/files/upload/alpha_install/'.$archive['FACT_NAME'].'.'.$archive['EXT'].'')){
    
    DB::GET_SET("DELETE FROM `PANEL_ALPHA_INSTALL` WHERE `ID` = '".$archive['ID']."' LIMIT 1");
    
    SUCCESS('Архив успешно удален', 'session');
    
  }ELSE{
    
    ERROR('Неизвестная ошибка', 'session');
    
  }
  
  REDIRECT('?path=system&section=alpha_install');
  
}

?>